<div *nzModalTitle class="mb-3">
  <h4>{{ title() }}</h4>
</div>
<div>
  <form nz-form [formGroup]="formTask">
    <nz-form-item>
      <nz-form-control nzErrorTip="El campo titulo es requerido">
        <input
          type="text"
          nz-input
          formControlName="title"
          placeholder="Titulo"
        />
      </nz-form-control>
    </nz-form-item>
    <nz-form-item>
      <nz-form-control nzErrorTip="El campo descripcion es requerido">
        <textarea
          type="text"
          nz-input
          formControlName="description"
          placeholder="Descripcion"
          [nzAutosize]="{ minRows: 3, maxRows: 5 }"
        ></textarea>
      </nz-form-control>
    </nz-form-item>
    <nz-form-item>
      <nz-form-control nzErrorTip="El campo estado es requerido">
        <nz-select
          formControlName="status"
          nzPlaceHolder="Seleccione un estado"
        >
          @for (item of status; track $index) {
          <nz-option [nzValue]="item" [nzLabel]="item"></nz-option>
          }
        </nz-select>
      </nz-form-control>
    </nz-form-item>
  </form>
</div>
<div *nzModalFooter>
  <button nz-button nzType="primary" (click)="saveForm()">Guardar</button>
</div>
